This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 215342 - blktap should error out if disk image is not found prior to starting domain
blktap should error out if disk image is not found prior to starting domain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: 234654 227613 240441
  Show dependency treegraph
 
Reported: 2006-11-13 11:25 EST by Chris Lalancette
Modified: 2010-10-22 02:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:08:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for blktap missing file (727 bytes, patch)
2006-11-13 11:25 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-11-13 11:25:28 EST
Description of problem:

blktap doesn't tell you if your disk image file doesn't exist which can confuse
users as the domain starts, but doesn't find the root device.

Version-Release number of selected component (if applicable):
xen-3.0.3-3 (although I looked at current CVS as of 11/13, and the fix is not in
there, either).

IBM also provided the upstream changeset that fixes this:  12322:d173b32f54ab
I'll attach the patch.
Comment 1 Chris Lalancette 2006-11-13 11:25:33 EST
Created attachment 141068 [details]
Fix for blktap missing file
Comment 3 RHEL Product and Program Management 2006-11-15 15:01:07 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Konrad Rzeszutek 2006-12-11 17:56:02 EST
Stephan,

Is there anything IBM can do to help get this fixed?

Thanks.
Comment 9 Jay Turner 2007-05-09 15:32:49 EDT
QE ack for RHEL5.1.  Straightforward to test.
Comment 10 Daniel Berrange 2007-06-15 20:28:43 EDT
This is now built into xen-3.0.3-29.el5  in dist-5E-qu-candidate. To test try

 - Create a VM config file with a single disk backed by a file & using tap:aio:
 - In the 'disks' config line, insert a delibrate typo in the disk filename
 - Try to start the guest

A friendly error message should be displayed and the guest should not start.
Comment 13 errata-xmlrpc 2007-11-07 12:08:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html

Note You need to log in before you can comment on or make changes to this bug.